Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
timeval Struct Reference

`#include <missing.h>`

## Data Fields
time_t | tv_sec
long | tv_usec
suseconds_t | tv_usec

## Detailed Description

Definition at line 53 of file missing.h.

## Field Documentation

## ◆ tv_sec

time_t timeval::tv_sec

Definition at line 54 of file missing.h.

Referenced by rb_timespec_now(), rb_w32_select_with_thread(), rb_w32_time_subtract(), rb_w32_utimes(), and rb_w32_uutimes().

## ◆ tv_usec [1/2]

long timeval::tv_usec

Definition at line 55 of file missing.h.

Referenced by rb_timespec_now(), rb_w32_select_with_thread(), rb_w32_time_subtract(), rb_w32_utimes(), and rb_w32_uutimes().

## ◆ tv_usec [2/2]

suseconds_t timeval::tv_usec

Definition at line 1242 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following files:

- include/ruby/missing.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h